org.apache.commons.math3.util

## Class OpenIntToFieldHashMap.Iterator

- java.lang.Object
- - org.apache.commons.math3.util.OpenIntToFieldHashMap.Iterator

- Enclosing class:
    OpenIntToFieldHashMap<T extends FieldElement<T>>

      public class OpenIntToFieldHashMap.Iterator
      extends Object

  Iterator class for the map.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `advance()` Advance iterator one step further.
    `boolean` | `hasNext()` Check if there is a next element in the map.
    `int` | `key()` Get the key of current entry.
    `T` | `value()` Get the value of current entry.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Check if there is a next element in the map.
      Returns:
        true if there is a next element

    - #### key

          public int key()
                  throws ConcurrentModificationException,
                         NoSuchElementException

      Get the key of current entry.
      Returns:
        key of current entry
      Throws:
        `ConcurrentModificationException` - if the map is modified during iteration
        `NoSuchElementException` - if there is no element left in the map

    - #### value

          public T value()
                                          throws ConcurrentModificationException,
                                                 NoSuchElementException

      Get the value of current entry.
      Returns:
        value of current entry
      Throws:
        `ConcurrentModificationException` - if the map is modified during iteration
        `NoSuchElementException` - if there is no element left in the map

    - #### advance

          public void advance()
                       throws ConcurrentModificationException,
                              NoSuchElementException

      Advance iterator one step further.
      Throws:
        `ConcurrentModificationException` - if the map is modified during iteration
        `NoSuchElementException` - if there is no element left in the map

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.